Bug Hunting Session
Bug 77185 - libreoffice nvidia separate xscreens no text menus
Summary: libreoffice nvidia separate xscreens no text menus
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-08 14:37 UTC by gd
Modified: 2016-05-09 20:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gd 2014-04-08 14:37:24 UTC
Xubuntu 14.04 with stock libreoffice(4.2) shows no text on menu's when in multiseat with (nvidia)separate xscreens.Starting libreoffice in terminal gives a : Xlib: extension "XINERAMA" missing on display "1.0".
Libreoffice starts but no text in menu's.
http://aptosid.com/modules/PNphpBB2/files/snapshot2_132.png
Starting libreoffice in non-multiseat -non separate xscreens: ok.

Libreoffice 4.1 has no problems in multiseat with separate xscreens.

Downgrading libcairo2 to 1.10 gives me back text and menu's in libreoffice in multiseat, but other programs will not start than.
Comment 1 gd 2014-04-08 14:47:21 UTC
the errors  Xlib: extension "XINERAMA" missing on display "1.0".

comes also when libcairo2 is downgraded, but libreoffice is starting ok, with text and menu's.
Comment 2 gd 2014-04-13 18:20:38 UTC
found a solution:
cd /root/Downloads
wget http://de.archive.ubuntu.com/ubuntu/pool/main/c/cairo/libcairo2_1.10.2-6.1ubuntu2_amd64.deb
mkdir libcairo
dpkg -x libcairo2_1.10.2-6.1ubuntu2_amd64.deb libcairo/
mkdir /usr/lib/x86_64-linux-gnu/libcairo_orig
cp /root/Downloads/libcairo/usr/lib/x86_64-linux-gnu/libcairo.so.2* /usr/lib/libreoffice/program/
Comment 3 tommy27 2015-03-07 10:26:45 UTC
can we mark this as RESOLVED WORKSFORME then?
Comment 4 Buovjaga 2015-03-18 15:28:44 UTC
Let's set to NEEDINFO, while we wait for an answer/update to the current situation.
Comment 5 QA Administrators 2015-10-14 19:51:03 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-10-14
Comment 6 QA Administrators 2016-05-09 20:07:51 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

This INVALID Message was generated on: 2016-05-09